aboutsummaryrefslogtreecommitdiff
path: root/scripts/make.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/make.sh')
-rwxr-xr-xscripts/make.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/make.sh b/scripts/make.sh
index 6d31a5e8..e9c2a965 100755
--- a/scripts/make.sh
+++ b/scripts/make.sh
@@ -85,6 +85,6 @@ TOYFILES=$(cat .config | sed -nre 's/^CONFIG_(.*)=y/\1/;t skip;b;:skip;s/_.*//;p
echo "Compile toybox..."
-$DEBUG $CC $CFLAGS -I . -o toybox_unstripped $OPTIMIZE \
- main.c lib/*.c $TOYFILES || exit 1
+$DEBUG $CC $CFLAGS -I . -o toybox_unstripped $OPTIMIZE main.c lib/*.c \
+ $TOYFILES -Wl,--as-needed,-lutil,--no-as-needed || exit 1
$DEBUG $STRIP toybox_unstripped -o toybox || exit 1